<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>celOneParameterBlock Class Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">celOneParameterBlock Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="celOneParameterBlock" --><!-- doxytag: inherits="scfImplementation1&lt; celOneParameterBlock, iCelParameterBlock &gt;" -->
<p>Parameter block implementation if only one parameter is desired.  
 <a href="classcelOneParameterBlock.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="stdparams_8h_source.html">celtool/stdparams.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for celOneParameterBlock:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classcelOneParameterBlock.png" usemap="#celOneParameterBlock_map" alt=""/>
  <map id="celOneParameterBlock_map" name="celOneParameterBlock_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classscfImplementation1.html" alt="scfImplementation1&lt; celOneParameterBlock, iCelParameterBlock &gt;" shape="rect" coords="402,112,794,136"/>
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classscfImplementation.html" alt="scfImplementation&lt; Class &gt;" shape="rect" coords="402,56,794,80"/>
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,392,24"/>
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classscfImplementationHelper.html" alt="scfImplementationHelper" shape="rect" coords="402,0,794,24"/>
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classCS_1_1Memory_1_1CustomAllocated.html" alt="CS::Memory::CustomAllocated" shape="rect" coords="804,0,1196,24"/>
</map>
 </div></div>

<p><a href="classcelOneParameterBlock-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelOneParameterBlock.html#a5c024352987f74e28af868c722580ac6">celOneParameterBlock</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a> id, const char *str)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Conveniance method to have a parameter block with one parameter of type string.  <a href="#a5c024352987f74e28af868c722580ac6"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Parameter block implementation if only one parameter is desired. </p>

<p>Definition at line <a class="el" href="stdparams_8h_source.html#l00234">234</a> of file <a class="el" href="stdparams_8h_source.html">stdparams.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a5c024352987f74e28af868c722580ac6"></a><!-- doxytag: member="celOneParameterBlock::celOneParameterBlock" ref="a5c024352987f74e28af868c722580ac6" args="(csStringID id, const char *str)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">celOneParameterBlock::celOneParameterBlock </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a>&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>str</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Conveniance method to have a parameter block with one parameter of type string. </p>

<p>Definition at line <a class="el" href="stdparams_8h_source.html#l00246">246</a> of file <a class="el" href="stdparams_8h_source.html">stdparams.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>celtool/<a class="el" href="stdparams_8h_source.html">stdparams.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
